import { ConditionUtil, FieldUtil, TableUtilImpl } from 'model-util';
import { SysServiceCenter } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-04-30 10:31
 */
interface SysServiceCenterCU extends ConditionUtil<SysServiceCenterCU> {
    ID: FieldUtil<SysServiceCenterCU>;
    CODE: FieldUtil<SysServiceCenterCU>;
    NAME: FieldUtil<SysServiceCenterCU>;
    DESCRIPTION: FieldUtil<SysServiceCenterCU>;
    GIT_ID: FieldUtil<SysServiceCenterCU>;
    DELETED: FieldUtil<SysServiceCenterCU>;
    CREATE_USER_ID: FieldUtil<SysServiceCenterCU>;
    UPDATE_USER_ID: FieldUtil<SysServiceCenterCU>;
    CREATE_TIME: FieldUtil<SysServiceCenterCU>;
    UPDATE_TIME: FieldUtil<SysServiceCenterCU>;
    STATE: FieldUtil<SysServiceCenterCU>;
}
declare class SysServiceCenterMU extends TableUtilImpl<SysServiceCenterCU, SysServiceCenter> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: any;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): SysServiceCenterCU;
    static get ID(): FieldUtil<SysServiceCenterCU>;
    static get CODE(): FieldUtil<SysServiceCenterCU>;
    static get NAME(): FieldUtil<SysServiceCenterCU>;
    static get DESCRIPTION(): FieldUtil<SysServiceCenterCU>;
    static get GIT_ID(): FieldUtil<SysServiceCenterCU>;
    static get DELETED(): FieldUtil<SysServiceCenterCU>;
    static get CREATE_USER_ID(): FieldUtil<SysServiceCenterCU>;
    static get UPDATE_USER_ID(): FieldUtil<SysServiceCenterCU>;
    static get CREATE_TIME(): FieldUtil<SysServiceCenterCU>;
    static get UPDATE_TIME(): FieldUtil<SysServiceCenterCU>;
    static get STATE(): FieldUtil<SysServiceCenterCU>;
    get ID(): FieldUtil<SysServiceCenterCU>;
    get CODE(): FieldUtil<SysServiceCenterCU>;
    get NAME(): FieldUtil<SysServiceCenterCU>;
    get DESCRIPTION(): FieldUtil<SysServiceCenterCU>;
    get GIT_ID(): FieldUtil<SysServiceCenterCU>;
    get DELETED(): FieldUtil<SysServiceCenterCU>;
    get CREATE_USER_ID(): FieldUtil<SysServiceCenterCU>;
    get UPDATE_USER_ID(): FieldUtil<SysServiceCenterCU>;
    get CREATE_TIME(): FieldUtil<SysServiceCenterCU>;
    get UPDATE_TIME(): FieldUtil<SysServiceCenterCU>;
    get STATE(): FieldUtil<SysServiceCenterCU>;
}
export { SysServiceCenterMU, SysServiceCenterCU };
